//
// Created by jie on 2023/10/9.
//

#ifndef MEDIAPLAYER_PRACTICE_1_H
#define MEDIAPLAYER_PRACTICE_1_H

#include "pch.h"

namespace PRACTICE {

    static const char *vertexShaderSource = "#version 330 core\n"
                                            "layout (location = 0) in vec3 aPos;\n"
                                            "void main()\n"
                                            "{\n"
                                            "  gl_Position = vec4(aPos.x, aPos.y, aPos.z, 1.0);\n"
                                            "}\n";

    static const char *fragmentShaderSource = "#version 330 core\n"
                                              "out vec4 FragColor;\n"
                                              "void main()\n"
                                              "{\n"
                                              "   FragColor = vec4(1.0f, 0.5f, 0.2f, 1.0f);\n"
                                              "}\n\0";

    static const char *fragmentShaderSource1 = "#version 330 core\n"
                                               "out vec4 FragColor;\n"
                                               "void main()\n"
                                               "{\n"
                                               "   FragColor = vec4(1.0f, 1.0f, 0.0f, 1.0f);\n"
                                               "}\n\0";

    int Practice1();

    void frameBufferSizeChange(GLFWwindow *window, int width, int height);

    void processInput(GLFWwindow *window);

    void CheckShader(unsigned int shaderIndex, bool isPorgram = false);
}


#endif //MEDIAPLAYER_PRACTICE_1_H
